package library.core.model;

public class CoreTextModel implements Cloneable{

	public enum TEXT_TYPE{
		LEFT,
		CENTER,
		RIGHT,
	}

	private TEXT_TYPE type;
	public String text;
	public float size;
	float centerX;
	float centerY;
	
	public CoreTextModel(String text,TEXT_TYPE type, float centerX, float centerY) {
		
		this.centerX=centerX;
		this.centerY=centerY;
		this.text=text;
		this.type=type;
		size=64;
	}

	
	@Override
	public CoreTextModel clone(){
	
		CoreTextModel c=null;
		
		try{
		c=(CoreTextModel) super.clone();
		c.text=this.text;
		c.type=this.type;
		}catch(Exception e){
			
		}
		
		return c;
	}
	
	
	
	public TEXT_TYPE getType() {
		return type;
	}

	public void setType(TEXT_TYPE type) {
		this.type = type;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public float getSize() {
		return size;
	}

	public void setSize(float size) {
		this.size = size;
	}

	public float getCenterX() {
		return centerX;
	}

	public void setCenterX(float centerX) {
		this.centerX = centerX;
	}

	public float getCenterY() {
		return centerY;
	}

	public void setCenterY(float centerY) {
		this.centerY = centerY;
	}

	
	
}
